API Reference
Company lookup
Given an identifier type and value, returns all linked social profiles for that company.
GET
/
{idType}
/
{idValue}
JavaScript
import CompaniesSocial from '@alloy.rest/companies.social';
const client = new CompaniesSocial({
apiKey: process.env['COMPANIES_SOCIAL_API_KEY'], // This is the default and can be omitted
});
const response = await client.lookupCompany('stripe.com', { idType: 'domain' });
console.log(response.companyId);{
"companyId": "<string>",
"domain": "<string>",
"socials": {
"twitter": "https://x.com/stripe",
"linkedin": "https://linkedin.com/company/stripe",
"github": "https://github.com/stripe"
},
"linkedin": {
"description": "<string>",
"followerCount": 123,
"employeeCount": 123,
"industry": "<string>",
"type": "<string>",
"founded": 123,
"locations": [
{
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"geographic": "<string>",
"postalCode": "<string>",
"country": "<string>",
"isPrimary": true,
"isHq": true
}
],
"funding": {
"totalRounds": 123,
"lastRoundType": "<string>",
"lastRoundDate": "<string>",
"lastRoundAmount": 123
},
"crunchbaseUrl": "<string>"
},
"tiktok": {
"followerCount": 123,
"followingCount": 123,
"friendCount": 123,
"likeCount": 123,
"diggCount": 123,
"videoCount": 123,
"bio": "<string>",
"verified": true,
"isOrganization": true,
"ttSeller": true,
"createTime": 123,
"commentSetting": 123,
"duetSetting": 123,
"stitchSetting": 123,
"downloadSetting": 123,
"bioLink": "<string>",
"category": "<string>",
"appLinks": {
"ios": "<string>",
"android": "<string>"
}
},
"github": {
"followers": 123,
"publicRepos": 123,
"location": "<string>",
"email": "<string>",
"blog": "<string>",
"twitterUsername": "<string>",
"isVerified": true,
"description": "<string>",
"name": "<string>",
"createdAt": "<string>",
"totalStars": 123,
"totalForks": 123,
"topLanguages": [
"<string>"
],
"topTopics": [
"<string>"
],
"topRepos": [
{
"name": "<string>",
"stars": 123,
"forks": 123,
"language": "<string>",
"description": "<string>"
}
],
"sponsoring": [
"<string>"
]
},
"youtube": {
"name": "<string>",
"description": "<string>",
"subscriberCount": 123,
"videoCount": 123,
"verified": true,
"keywords": [
"<string>"
],
"channelId": "<string>",
"handle": "<string>"
},
"sources": [
{
"name": "<string>",
"version": "<string>",
"scrapedAt": "<string>",
"cached": true
}
]
}Authorizations
API key for authentication
Path Parameters
Identifier type
Available options:
domain, twitter, linkedin, github, tiktok, instagram, facebook, youtube Example:
"domain"
Identifier value (e.g. stripe.com, stripe, @stripe)
Minimum string length:
1Example:
"stripe.com"
Response
Company social profile
Show child attributes
Show child attributes
Example:
{
"twitter": "https://x.com/stripe",
"linkedin": "https://linkedin.com/company/stripe",
"github": "https://github.com/stripe"
}Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import CompaniesSocial from '@alloy.rest/companies.social';
const client = new CompaniesSocial({
apiKey: process.env['COMPANIES_SOCIAL_API_KEY'], // This is the default and can be omitted
});
const response = await client.lookupCompany('stripe.com', { idType: 'domain' });
console.log(response.companyId);{
"companyId": "<string>",
"domain": "<string>",
"socials": {
"twitter": "https://x.com/stripe",
"linkedin": "https://linkedin.com/company/stripe",
"github": "https://github.com/stripe"
},
"linkedin": {
"description": "<string>",
"followerCount": 123,
"employeeCount": 123,
"industry": "<string>",
"type": "<string>",
"founded": 123,
"locations": [
{
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"geographic": "<string>",
"postalCode": "<string>",
"country": "<string>",
"isPrimary": true,
"isHq": true
}
],
"funding": {
"totalRounds": 123,
"lastRoundType": "<string>",
"lastRoundDate": "<string>",
"lastRoundAmount": 123
},
"crunchbaseUrl": "<string>"
},
"tiktok": {
"followerCount": 123,
"followingCount": 123,
"friendCount": 123,
"likeCount": 123,
"diggCount": 123,
"videoCount": 123,
"bio": "<string>",
"verified": true,
"isOrganization": true,
"ttSeller": true,
"createTime": 123,
"commentSetting": 123,
"duetSetting": 123,
"stitchSetting": 123,
"downloadSetting": 123,
"bioLink": "<string>",
"category": "<string>",
"appLinks": {
"ios": "<string>",
"android": "<string>"
}
},
"github": {
"followers": 123,
"publicRepos": 123,
"location": "<string>",
"email": "<string>",
"blog": "<string>",
"twitterUsername": "<string>",
"isVerified": true,
"description": "<string>",
"name": "<string>",
"createdAt": "<string>",
"totalStars": 123,
"totalForks": 123,
"topLanguages": [
"<string>"
],
"topTopics": [
"<string>"
],
"topRepos": [
{
"name": "<string>",
"stars": 123,
"forks": 123,
"language": "<string>",
"description": "<string>"
}
],
"sponsoring": [
"<string>"
]
},
"youtube": {
"name": "<string>",
"description": "<string>",
"subscriberCount": 123,
"videoCount": 123,
"verified": true,
"keywords": [
"<string>"
],
"channelId": "<string>",
"handle": "<string>"
},
"sources": [
{
"name": "<string>",
"version": "<string>",
"scrapedAt": "<string>",
"cached": true
}
]
}